<?php session_start();
require_once("./../../config/config.php");
require_once("./validated_admin.php");


$myformId=SESS_MASTER;
$myIp= ipCheck() ;
$dateceated=date("Y-m-d G:i:s");
$createdby='0';
$api_key		=   secureSuperGlobalPOST($_REQUEST[SESS_MASTER.'api_key']);
//$affiliate_id		=   secureSuperGlobalPOST($_REQUEST[SESS_MASTER.'affiliate_id']);
//$network_id	=   secureSuperGlobalPOST($_REQUEST[SESS_MASTER.'network_id']);
$stat	=   secureSuperGlobalPOST($_REQUEST[SESS_MASTER.'stat']);
$api_type	=   secureSuperGlobalPOST($_REQUEST[SESS_MASTER.'api_type']);


 if($_POST){
  try{
      if($stat=='0'){
          $olgaquery="INSERT INTO api_coupan SET createdIp='$myIp',datecreated='$dateceated',api_key='$api_key', api_type='$api_type'"; 
		$stmt = $conn->prepare($olgaquery);
		if($stmt->execute()){
			$last_insert_id = $conn->lastInsertId();

			$_SESSION["created"] = $last_insert_id ;
			$json['status'] = true;
            $json['message'] =  "Save Successfully";
			// echo "<script>window.location='./../coupon-api-configuration.php';</script>";;
		}
          
      }else{
          $olgaquery="UPDATE api_coupan SET createdIp='$myIp',datecreated='$dateceated',api_key='$api_key' WHERE api_type='$api_type' "; 
		$stmt = $conn->prepare($olgaquery);
		if($stmt->execute()){
			$last_insert_id = $conn->lastInsertId();

			$_SESSION["created"] = $last_insert_id ;
			$json['status'] = true;
            $json['message'] =  "Save Successfully";
			// echo "<script>window.location='./../coupon-api-configuration.php';</script>";;
		}
          
      }
		
 
 
   }
         
        // show error
        catch(PDOException $exception){
            die('ERROR: ' . $exception->getMessage());
        }
    }

    echo json_encode($json);
?>